﻿using System;
using System.Windows.Forms;

namespace LogonExpertSDKExample_Net
{
    public partial class ExampleWindow : Form
    {
        public ExampleWindow()
        {
            InitializeComponent();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void logonButton_Click(object sender, EventArgs e)
        {
            int errorCode = LESDK.Logon(userEdit.Text, passwordEdit.Text, domainEdit.Text, LESDK.license);
            if (errorCode==0)
            {
                MessageBox.Show("Logged on successfully");
            }
            else
            {
                MessageBox.Show("Logon failed with error "+errorCode.ToString());
            }

        }
    }
}
