
#pragma comment(lib, "LogonExpertSDKdll.lib")

#include <Windows.h>
#include "resource.h"
#include <string>

#include "..\include C++\LogonExpertSDKlib.h"

#include "license.h"

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
    if (message == WM_COMMAND)
    {
        switch (LOWORD(wParam))
        {
        case IDCANCEL:
            exit(0);
        case IDOK:
            int const buff_size = 50;
            wchar_t user[buff_size], password[buff_size], domain[buff_size];
            GetDlgItemText(hWnd, IDC_USER, user, buff_size);
            GetDlgItemText(hWnd, IDC_PASS, password, buff_size);
            GetDlgItemText(hWnd, IDC_DOMAIN, domain, buff_size);
                
            int errorCode = LESDK::Logon(user, password, domain, license);
            if (errorCode == 0)
            {
                MessageBox(hWnd, L"Logged on successfully", L"LE SDK", MB_OK);
            }
            else
            {
                wchar_t message[] = L"Logon failed with error %d.\0\0\0";
                swprintf(message,sizeof(message)/2, message, errorCode);
                MessageBox(hWnd, message, L"LE SDK", MB_OK);
            }
        }
    }
    return FALSE;
}


int WINAPI wWinMain(
    _In_ HINSTANCE hInstance,
    _In_opt_ HINSTANCE hPrevInstance,
    _In_ LPWSTR lpCmdLine,
    _In_ int nShowCmd
)
{
    DialogBox(NULL, MAKEINTRESOURCE(IDD_DIALOG1), NULL, (DLGPROC)WndProc);
}